TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.UserInfo Class Reference

This class represents a user on the TIBCO EMS server. More...

Inheritance diagram for TIBCO.EMS.ADMIN.UserInfo:

## Public Member Functions
| UserInfo (string userName, string description)
| Public constructor to create a UserInfo. More...
| UserInfo (string userName)
| Public constructor to create a UserInfo with no description. More...
override string | ToString ()
| Generate a string representation of this UserInfo. More...
Public Member Functions inherited from TIBCO.EMS.ADMIN.PrincipalInfo
override string | ToString ()
| Generate a string representation of this PrincipalInfo. More...

## Properties
String | Password`[set]`
| Set the password for this user. More...
Properties inherited from TIBCO.EMS.ADMIN.PrincipalInfo
string | Name`[get]`
| Get the name of this user or group. More...
string | Description`[get, set]`
| Get or set the description of this user or group. More...
bool | External`[get]`
| Indicates whether or not this user or group is external. More...

## Detailed Description

This class represents a user on the TIBCO EMS server.

A user can be a principal in access control.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.UserInfo.UserInfo | ( | string | userName,
|  | string | description
| ) |  |
| inline

Public constructor to create a UserInfo.

The user will not be created on the server until the UserInfo is passed to Admin.CreateUser().

Parameters

  userName | The name of the new user.
  description | The description for the new user.

TIBCO.EMS.ADMIN.UserInfo.UserInfo | ( | string | userName | ) |
| inline

Public constructor to create a UserInfo with no description.

The user will not be created on the server until the UserInfo is passed to Admin.CreateUser().

Parameters

  userName | The name of the new user.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.UserInfo.ToString | ( |  | ) |
| inline

Generate a string representation of this UserInfo.

Returns
  a string representation of this UserInfo.

## Property Documentation

String TIBCO.EMS.ADMIN.UserInfo.Password
| set

Set the password for this user.

The user must be saved with a call to Admin.UpdateUser() before the change will take effect on the server. It is an error to attempt to set the password of an external user.

Exceptions

  AdminException | if the user is external.